---
flush_iptables: true
reset_restart_network: true

reset_restart_network_service_name: >-
  {% if ansible_os_family == "RedHat" -%}
  {%-
    if ansible_distribution_major_version | int >= 8
    or is_fedora_coreos or ansible_distribution == "Fedora" -%}
  NetworkManager
  {%- else -%}
  network
  {%- endif -%}
  {%- elif ansible_distribution == "Ubuntu"
    or (ansible_distribution == "Debian" and ansible_distribution_major_version | int == 12 ) -%}
  systemd-networkd
  {%- elif ansible_os_family == "Debian" -%}
  networking
  {%- endif %}

# crictl stop container grace period
cri_stop_containers_grace_period: 0
